package test.runtime;

public class TestSuiteForJ2c extends TestSuite {
    public TestSuiteForJ2c() {
    }

    public long disabledTests() {
	long disabled = super.disabledTests();

	disabled |= (DISABLE_STACK_OVERFLOW
		     | DISABLE_DOUBLE_TO_STRING);

	disabled &= ~(DISABLE_BASIC_FOR_COMPILER|DISABLE_ASYNC_IO);

	// Compiling with -ffloat-store makes these tests work in J2c,
	// but not in the interpreter.  Strange.
	disabled &= ~(DISABLE_CONSTANT_POOL|DISABLE_STATIC_FIELD_ACCESS);

	return disabled;
    }
}
